#ifndef __ARVO_DEVICE_SCANNER_H__
#define __ARVO_DEVICE_SCANNER_H__

/*
 * This file is part of arvo-tools.
 *
 * arvo-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * arvo-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with arvo-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_device_scanner_interface.h"
#include <glib-object.h>

G_BEGIN_DECLS

#define ARVO_DEVICE_SCANNER_TYPE (arvo_device_scanner_get_type())
#define ARVO_DEVICE_SCANNER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ARVO_DEVICE_SCANNER_TYPE, ArvoDeviceScanner))
#define IS_ARVO_DEVICE_SCANNER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ARVO_DEVICE_SCANNER_TYPE))

typedef struct _ArvoDeviceScanner ArvoDeviceScanner;
typedef struct _ArvoDeviceScannerPrivate ArvoDeviceScannerPrivate;

struct _ArvoDeviceScanner {
	GObject parent;
	ArvoDeviceScannerPrivate *priv;
};

GType arvo_device_scanner_get_type(void);
ArvoDeviceScanner *arvo_device_scanner_new(void);

RoccatDevice *arvo_device_first(void);

G_END_DECLS

#endif
