Name: roccat
Version: 2.1.0
Release: 1
License: GPL
Source: roccat-tools-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk2-devel >= 2.20
BuildRequires: cmake >= 2.6.4
BuildRequires: dbus-glib
BuildRequires: dbus-glib-devel
BuildRequires: libgudev1-devel
BuildRequires: libX11-devel
BuildRequires: libgaminggear-devel >= 0.4.0
ExclusiveOS: linux
Prefix: /usr
URL: http://roccat.sourceforge.net
Packager: Stefan Achatz <erazor_de@users.sourceforge.net>

%define default_udevdir /lib/udev/rules.d
%{!?udevdir: %define udevdir %{default_udevdir}}

Obsoletes: roccat-devel
Summary: Roccat common files
Group: System Environment/Libraries

%package arvo
Requires: roccat
Obsoletes: arvo-devel
Summary: Roccat Arvo userlandtools
Group: Applications/System

%package isku
Requires: roccat
Obsoletes: isku-devel
Summary: Roccat Isku userlandtools
Group: Applications/System

%package iskufx
Requires: roccat
Requires: roccat-isku
Obsoletes: iskufx-devel
Summary: Roccat IskuFX userlandtools
Group: Applications/System

%package kone
Requires: roccat
Obsoletes: kone-devel
Summary: Roccat Kone userlandtools
Group: Applications/System

%package koneplus
Requires: roccat
Obsoletes: koneplus-devel
Summary: Roccat Kone[+] userlandtools
Group: Applications/System

%package konepure
Requires: roccat
Requires: roccat-konextd
Obsoletes: konepure-devel
Summary: Roccat KonePure userlandtools
Group: Applications/System

%package konepuremilitary
Requires: roccat
Requires: roccat-konepure
Obsoletes: konepuremilitary-devel
Summary: Roccat KonePureMilitary userlandtools
Group: Applications/System

%package konepureoptical
Requires: roccat
Requires: roccat-konepure
Obsoletes: konepureoptical-devel
Summary: Roccat KonePureOptical userlandtools
Group: Applications/System

%package konextd
Requires: roccat
Requires: roccat-koneplus
Obsoletes: konextd-devel
Summary: Roccat KoneXTD userlandtools
Group: Applications/System

%package konextdoptical
Requires: roccat
Requires: roccat-konepuremilitary
Summary: Roccat KoneXTDOptical userlandtools
Group: Applications/System

%package kovaplus
Requires: roccat
Obsoletes: kovaplus-devel
Summary: Roccat Kova[+] userlandtools
Group: Applications/System

%package lua
Requires: roccat
Obsoletes: lua-devel
Summary: Roccat Lua userlandtools
Group: Applications/System

%package pyra
Requires: roccat
Obsoletes: pyra-devel
Summary: Roccat Pyra userlandtools
Group: Applications/System

%package ryos
Requires: roccat
Obsoletes: ryos-devel
Summary: Roccat Ryos userlandtools
Group: Applications/System

%package savu
Requires: roccat
Obsoletes: savu-devel
Summary: Roccat Savu userlandtools
Group: Applications/System

%description
Roccat consists of a shared library and other files shared by device specific
applications for roccat hardware.

%description arvo
Arvo consists of a shared library, a console application and a GUI application.
It helps users of the arvo kernel driver to manipulate the Profiles and Settings
of a Roccat Arvo keyboard.

%description isku
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat Isku keyboard.

%description iskufx
IskuFX consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the Profiles and Settings
of a Roccat IskuFX keyboard.

%description kone
Kone consists of a shared library, a console application and a GUI application.
It helps users of the kone kernel driver to manipulate the Profiles and Settings
of a Roccat Kone mouse.

%description koneplus
Koneplus consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kone[+] mouse.

%description konepure
Konepure consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePure mouse.

%description konepuremilitary
Konepuremilitary consists of a shared library, a console application and a GUI application.
It helps to manipulate the Profiles and Settings of a Roccat KonePureMilitary mouse.

%description konepureoptical
Konepureoptical consists of a shared library, a console application and a GUI application.
It helps users of the konepure kernel driver to manipulate the Profiles and Settings
of a Roccat KonePureOptical mouse.

%description konextd
Konextd consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat KoneXTD mouse.

%description konextdoptical
Konextdoptical consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the Profiles and Settings
of a Roccat KoneXTDOptical mouse.

%description kovaplus
Kovaplus consists of a shared library, a console application and a GUI application.
It helps users of the kovaplus kernel driver to manipulate the Profiles and Settings
of a Roccat Kova[+] mouse.

%description lua
Lua consists of a shared library, a console application and a GUI application.
It helps users of the lua kernel driver to manipulate the Settings of a Roccat Lua
mouse.

%description pyra
Pyra consists of a shared library, a console application and a GUI application.
It helps users of the pyra kernel driver to manipulate the Profiles and Settings
of a Roccat Pyra mouse.

%description ryos
Ryos consists of a shared library, a console application and a GUI application.
It helps users of the ryos kernel driver to manipulate the Profiles and Settings
of a Roccat Ryos keyboard.

%description savu
Savu consists of a shared library, a console application and a GUI application.
It helps users of the savu kernel driver to manipulate the Profiles and Settings
of a Roccat Savu mouse.

%prep
%setup -q -n roccat-tools-%{version}
%{__mkdir} build
cd build
cmake -DCMAKE_INSTALL_PREFIX="%{prefix}" -DUDEVDIR="%{udevdir}" ..

%build
cd build
%{__make} %{?_smp_mflags}

%install
cd build
%{__rm} -rf "%{buildroot}"
%{__make} %{?_smp_mflags} DESTDIR="%{buildroot}" install
%{__mkdir} -p "%{buildroot}/var/lib/roccat"

%clean
%{__rm} -rf "%{buildroot}"

%pre
/usr/sbin/groupadd -f roccat >/dev/null || :

%post
/sbin/ldconfig
touch --no-create %{prefix}/share/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{prefix}/share/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :
fi

%posttrans
gtk-update-icon-cache %{prefix}/share/icons/hicolor &>dev/null || :

%post arvo
/sbin/ldconfig

%postun arvo
/sbin/ldconfig

%post isku
/sbin/ldconfig

%postun isku
/sbin/ldconfig

%post iskufx
/sbin/ldconfig

%postun iskufx
/sbin/ldconfig

%post kone
/sbin/ldconfig

%postun kone
/sbin/ldconfig

%post koneplus
/sbin/ldconfig

%postun koneplus
/sbin/ldconfig

%post konepure
/sbin/ldconfig

%postun konepure
/sbin/ldconfig

%post konepuremilitary
/sbin/ldconfig

%postun konepuremilitary
/sbin/ldconfig

%post konepureoptical
/sbin/ldconfig

%postun konepureoptical
/sbin/ldconfig

%post konextd
/sbin/ldconfig

%post konextdoptical
/sbin/ldconfig

%postun konextd
/sbin/ldconfig

%post kovaplus
/sbin/ldconfig

%postun kovaplus
/sbin/ldconfig

%post lua
/sbin/ldconfig

%postun lua
/sbin/ldconfig

%post pyra
/sbin/ldconfig

%postun pyra
/sbin/ldconfig

%post ryos
/sbin/ldconfig

%postun ryos
/sbin/ldconfig

%post savu
/sbin/ldconfig

%postun savu
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING Changelog
%{prefix}/bin/roccateventhandler
%{prefix}/lib*/roccat/libroccat.so*
%{prefix}/lib*/roccat/libroccatwidget.so*
%{prefix}/share/icons
%{prefix}/share/roccat
/etc/xdg/autostart/roccateventhandler.desktop
/etc/ld.so.conf.d/roccat.conf
%attr(2770,root,roccat) /var/lib/roccat

%files arvo
%defattr(-,root,root)
%{udevdir}/90-roccat-arvo.rules
%{prefix}/bin/arvo*
%{prefix}/lib*/roccat/libarvo.so*
%{prefix}/lib*/roccat/libarvoeventhandler.so
%{prefix}/share/applications/arvoconfig.desktop
%{prefix}/share/man/*/man1/arvo*

%files isku
%defattr(-,root,root)
%{udevdir}/90-roccat-isku.rules
%{prefix}/bin/isku*
%{prefix}/lib*/roccat/libisku.so*
%{prefix}/lib*/roccat/libiskuwidget.so*
%{prefix}/lib*/roccat/libiskueventhandler.so
%{prefix}/share/applications/iskuconfig.desktop
%{prefix}/share/man/*/man1/isku*

%files iskufx
%defattr(-,root,root)
%{udevdir}/90-roccat-iskufx.rules
%{prefix}/bin/iskufx*
%{prefix}/lib*/roccat/libiskufx.so*
%{prefix}/lib*/roccat/libiskufxeventhandler.so
%{prefix}/share/applications/iskufxconfig.desktop
%{prefix}/share/man/*/man1/iskufx*

%files kone
%defattr(-,root,root)
%{udevdir}/90-roccat-kone.rules
%{prefix}/bin/kone*
%{prefix}/lib*/roccat/libkone.so*
%{prefix}/lib*/roccat/libkoneeventhandler.so
%{prefix}/share/applications/koneconfig.desktop
%{prefix}/share/man/*/man1/kone*

%files koneplus
%defattr(-,root,root)
%{udevdir}/90-roccat-koneplus.rules
%{prefix}/bin/koneplus*
%{prefix}/lib*/roccat/libkoneplus.so*
%{prefix}/lib*/roccat/libkonepluswidget.so*
%{prefix}/lib*/roccat/libkonepluseventhandler.so
%{prefix}/share/applications/koneplusconfig.desktop
%{prefix}/share/man/*/man1/koneplus*

%files konepure
%defattr(-,root,root)
%{udevdir}/90-roccat-konepure.rules
%{prefix}/bin/konepure*
%{prefix}/lib*/roccat/libkonepure.so*
%{prefix}/lib*/roccat/libkonepurewidget.so*
%{prefix}/lib*/roccat/libkonepureeventhandler.so
%{prefix}/share/applications/konepureconfig.desktop
%{prefix}/share/man/*/man1/konepure*

%files konepuremilitary
%defattr(-,root,root)
%{udevdir}/90-roccat-konepuremilitary.rules
%{prefix}/bin/konepuremilitary*
%{prefix}/lib*/roccat/libkonepuremilitary.so*
%{prefix}/lib*/roccat/libkonepuremilitarywidget.so*
%{prefix}/lib*/roccat/libkonepuremilitaryeventhandler.so
%{prefix}/share/applications/konepuremilitaryconfig.desktop
%{prefix}/share/man/*/man1/konepuremilitary*

%files konepureoptical
%defattr(-,root,root)
%{udevdir}/90-roccat-konepureoptical.rules
%{prefix}/bin/konepureoptical*
%{prefix}/lib*/roccat/libkonepureoptical.so*
%{prefix}/lib*/roccat/libkonepureopticaleventhandler.so
%{prefix}/share/applications/konepureopticalconfig.desktop
%{prefix}/share/man/*/man1/konepureoptical*

%files konextd
%defattr(-,root,root)
%{udevdir}/90-roccat-konextd.rules
%{prefix}/bin/konextd*
%{prefix}/lib*/roccat/libkonextd.so*
%{prefix}/lib*/roccat/libkonextdwidget.so*
%{prefix}/lib*/roccat/libkonextdeventhandler.so
%{prefix}/share/applications/konextdconfig.desktop
%{prefix}/share/man/*/man1/konextd*

%files konextdoptical
%defattr(-,root,root)
%{udevdir}/90-roccat-konextdoptical.rules
%{prefix}/bin/konextdoptical*
%{prefix}/lib*/roccat/libkonextdoptical.so*
%{prefix}/lib*/roccat/libkonextdopticaleventhandler.so
%{prefix}/share/applications/konextdopticalconfig.desktop
%{prefix}/share/man/*/man1/konextdoptical*

%files kovaplus
%defattr(-,root,root)
%{udevdir}/90-roccat-kovaplus.rules
%{prefix}/bin/kovaplus*
%{prefix}/lib*/roccat/libkovaplus.so*
%{prefix}/lib*/roccat/libkovapluseventhandler.so
%{prefix}/share/applications/kovaplusconfig.desktop
%{prefix}/share/man/*/man1/kovaplus*

%files lua
%defattr(-,root,root)
%{udevdir}/90-roccat-lua.rules
%{prefix}/bin/lua*
%{prefix}/lib*/roccat/liblua.so*
%{prefix}/lib*/roccat/libluaeventhandler.so
%{prefix}/share/applications/luaconfig.desktop
%{prefix}/share/man/*/man1/lua*

%files pyra
%defattr(-,root,root)
%{udevdir}/90-roccat-pyra.rules
%{prefix}/bin/pyra*
%{prefix}/lib*/roccat/libpyra.so*
%{prefix}/lib*/roccat/libpyraeventhandler.so
%{prefix}/share/applications/pyraconfig.desktop
%{prefix}/share/man/*/man1/pyra*

%files ryos
%defattr(-,root,root)
%{udevdir}/90-roccat-ryos.rules
%{prefix}/bin/ryos*
%{prefix}/lib*/roccat/libryos.so*
%{prefix}/lib*/roccat/libryoseventhandler.so
%{prefix}/share/applications/ryosconfig.desktop
%{prefix}/share/man/*/man1/ryos*

%files savu
%defattr(-,root,root)
%{udevdir}/90-roccat-savu.rules
%{prefix}/bin/savu*
%{prefix}/lib*/roccat/libsavu.so*
%{prefix}/lib*/roccat/libsavueventhandler.so
%{prefix}/share/applications/savuconfig.desktop
%{prefix}/share/man/*/man1/savu*

%changelog
* Fri Jul 04 2014 Stefan Achatz <erazor_de@users.sourceforge.net> 2.1.0-1
- Initial version
